Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066135 - [RFE][scale] Support more than 500 LVs per block storage domain
Summary: [RFE][scale] Support more than 500 LVs per block storage domain
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ovirt-4.0.4
: ---
Assignee: Allon Mureinik
QA Contact: mlehrer
URL:
Whiteboard:
Depends On: 1062441 1081536
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 19:38 UTC by Simon Sekidde
Modified: 2016-10-17 13:08 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1062441
Environment:
Last Closed: 2016-10-17 13:08:49 UTC
oVirt Team: Storage
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:0997 normal SHIPPED_LIVE Red Hat Virtualization Manager (ovirt-engine) 4.1 GA 2017-04-18 20:11:26 UTC
Red Hat Knowledge Base (Article) 441203 None None None Never

Comment 2 Yaniv Kaul 2015-11-15 16:33:19 UTC
Any reason to keep this one open?

Comment 3 Allon Mureinik 2015-11-16 09:33:58 UTC
I think the AI here is, first of all, to stress test and find our current limitations.
Then, we can think if we care about it or not.

Comment 4 Gil Klein 2015-11-22 13:15:41 UTC
Allon, Isn't this a platform (lvm) limitation ?

Do we have the answer for comment #1 ?

Comment 5 Allon Mureinik 2015-11-23 13:37:18 UTC
(In reply to Gil Klein from comment #4)
> Allon, Isn't this a platform (lvm) limitation ?
There's been a world of change since RHEV 3.2 (RHEV 6.3) this was reported, both on the platform side and VDSM. We need to know the current limitations before escalating/redesigning/fixing/whatever

> 
> Do we have the answer for comment #1 ?
No, see above.

Comment 6 mlehrer 2016-09-05 09:53:05 UTC
Sharing this bz as it was part of this related effort:

https://bugzilla.redhat.com/show_bug.cgi?id=1373118

Comment 7 mlehrer 2016-09-20 14:48:10 UTC
Summary: Able to load 1000 disks

Env: 1 engine, 2 hosts, connected to iscsi storage via dedicated 10gbe network.  Management, VM, and Storage setup on separate vlans.
Version: vdsm-4.18.11-1.el7ev.x86_64, rhevm-4.0.2-0.2.rc1.el7ev.noarch

Populated an environment with 200 VMs totaling 1000 disks with 3 Storage Domains.
(Each VM has 5 thin disks, and of the 200 VMs 100 were running and in up state).

Able to successfully perform the following basic actions:

Create, Set to Maintenance, Activation of 5TB SD (ISCSI)
Create VM template consisting of 1 VM with 5 (thin) disks
Create 200 GB disk
Shut Down VM
Startup VM
Cold Disk Migration 5 disk
Click Manage Domain
Create VM from VM Template
Manage SD eg: Extend Storage Domain Space


Note You need to log in before you can comment on or make changes to this bug.